## $Id: utils.py 17729 2024-03-31 10:49:43Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the application section.
"""

from kofacustom.nigeria.applicants.utils import NigeriaApplicantsUtils
from waeup.kofa.applicants.workflow import (INITIALIZED,
    STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
from kofacustom.udss.interfaces import MessageFactory as _



class ApplicantsUtils(NigeriaApplicantsUtils):
    """A collection of parameters and methods subject to customization.
    """

    ADDITIONAL_FILES = (('First Term Result of Present Class','firsttermresult'),
        ('Birth Certificate','birthcertificate'),)

    APP_TYPES_DICT = {
        'app': ['General Application', 'APP'],
        'js': ['Junior School', 'JS'],
        'ss': ['Senior School', 'SS'],
        }

    SEPARATORS_DICT = {
        'form.applicant_id': 'Section A: Personal Data of the Child',
        'form.notice': 'Section G: Application Process Information',
        'form.father_firstname': 'Section C: Personal Data of Parents/Guardians',
        }